summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in35
-rw-r--r--scripts/repo-add.sh.in13
2 files changed, 43 insertions, 5 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 37d5a5e4..e7483e69 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -822,9 +822,6 @@ run_build() {
if [[ $(check_buildenv distcc) = "y" && $(check_option distcc) != "n" ]]; then
[[ -d /usr/lib/distcc/bin ]] && export PATH="/usr/lib/distcc/bin:$PATH"
export DISTCC_HOSTS
- elif [[ $(check_option distcc) = "n" ]]; then
- # if it is not wanted, clear the makeflags too
- MAKEFLAGS=""
fi
# use ccache if it is requested (check buildenv and PKGBUILD opts)
@@ -1485,6 +1482,38 @@ check_software() {
fi
fi
+ # distcc - compilation with distcc
+ if [[ $(check_buildenv distcc) = "y" && $(check_option distcc) != "n" ]]; then
+ if ! type -p distcc >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for distributed compilation.")" "distcc"
+ ret=1
+ fi
+ fi
+
+ # ccache - compilation with ccache
+ if [[ $(check_buildenv ccache) = "y" && $(check_option ccache) != "n" ]]; then
+ if ! type -p ccache >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for compiler cache usage.")" "ccache"
+ ret=1
+ fi
+ fi
+
+ # strip - strip symbols from binaries/libraries
+ if [[ $(check_option strip) = "y" ]]; then
+ if ! type -p strip >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for object file stripping.")" "strip"
+ ret=1
+ fi
+ fi
+
+ # gzip - compressig man and info pages
+ if [[ $(check_option zipman) = "y" ]]; then
+ if ! type -p gzip >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for compressing man and info pages.")" "gzip"
+ ret=1
+ fi
+ fi
+
return $ret
}
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index f47c9557..e970da38 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -377,9 +377,18 @@ db_remove_entry() {
} # end db_remove_entry
check_repo_db() {
+ local repodir
+
# ensure the path to the DB exists
- if [[ ! -d "${LOCKFILE%/*}" ]]; then
- error "$(gettext "%s does not exist or is not a directory.")" "${LOCKFILE%/*}"
+ if [[ "$LOCKFILE" == /* ]]; then
+ repodir=${LOCKFILE%/*}/
+ else
+ repodir=$PWD/$LOCKFILE
+ repodir=${repodir%/*}/
+ fi
+
+ if [[ ! -d "$repodir" ]]; then
+ error "$(gettext "%s does not exist or is not a directory.")" "$repodir"
exit 1
fi